Delen via


Scaling Plan Pooled Schedules - Create

Maak of werk een ScalingPlanPooledSchedule bij.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DesktopVirtualization/scalingPlans/{scalingPlanName}/pooledSchedules/{scalingPlanScheduleName}?api-version=2025-10-10

URI-parameters

Name In Vereist Type Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

De naam van de resourcegroep. De naam is hoofdletterongevoelig.

scalingPlanName
path True

string

minLength: 3
maxLength: 64
pattern: ^[A-Za-z0-9@.\-_ ]*$

De naam van het schaalplan.

scalingPlanScheduleName
path True

string

minLength: 1
maxLength: 64
pattern: ^[A-Za-z0-9@.\-_ ]*$

De naam van het ScalingPlanSchedule

subscriptionId
path True

string (uuid)

De id van het doelabonnement. De waarde moet een UUID zijn.

api-version
query True

string

minLength: 1

De API-versie die voor deze bewerking moet worden gebruikt.

Aanvraagbody

Name Type Description
properties.daysOfWeek

DayOfWeek[]

Set dagen van de week waarop deze planning actief is.

properties.offPeakLoadBalancingAlgorithm

SessionHostLoadBalancingAlgorithm

Taakverdelingsalgoritmen voor daluren.

properties.offPeakStartTime

Time

Begintijd voor dalperiode.

properties.peakLoadBalancingAlgorithm

SessionHostLoadBalancingAlgorithm

Taakverdelingsalgoritmen voor piekperiode.

properties.peakStartTime

Time

Begintijd voor piekperiode.

properties.rampDownCapacityThresholdPct

integer (int32)

minimum: 1
maximum: 100

Capaciteitsdrempel voor uitloopperiode.

properties.rampDownForceLogoffUsers

boolean

Als gebruikers geforceerd worden afgemeld bij hosts.

properties.rampDownLoadBalancingAlgorithm

SessionHostLoadBalancingAlgorithm

Taakverdelingsalgoritmen voor uitloopperiode.

properties.rampDownMinimumHostsPct

integer (int32)

minimum: 0
maximum: 100

Minimaal hostpercentage voor uitloopperiode.

properties.rampDownNotificationMessage

string

Meldingsbericht voor gebruikers tijdens uitloopperiode.

properties.rampDownStartTime

Time

Begintijd voor uitloopperiode.

properties.rampDownStopHostsWhen

StopHostsWhen

Hiermee geeft u op wanneer hosts moeten worden gestopt tijdens uitloopperiode.

properties.rampDownWaitTimeMinutes

integer (int32)

Het aantal minuten dat moet worden gewacht om hosts te stoppen tijdens de uitloopperiode.

properties.rampUpCapacityThresholdPct

integer (int32)

minimum: 1
maximum: 100

Capaciteitsdrempel voor oprijperiode.

properties.rampUpLoadBalancingAlgorithm

SessionHostLoadBalancingAlgorithm

Taakverdelingsalgoritmen voor een oplaadperiode.

properties.rampUpMinimumHostsPct

integer (int32)

minimum: 0
maximum: 100

Minimaal hostpercentage voor opstartperiode.

properties.rampUpStartTime

Time

Begintijd voor opstartperiode.

Antwoorden

Name Type Description
200 OK

ScalingPlanPooledSchedule

ScalingPlanPooledSchedule succesvol bijgewerkt.

201 Created

ScalingPlanPooledSchedule

Met succes ScalingPlanPooledSchedule gemaakt.

Other Status Codes

CloudError

Reactie op automatiseringsfout die beschrijft waarom de bewerking is mislukt.

Voorbeelden

ScalingPlanPooledSchedules_Create

Voorbeeldaanvraag

PUT https://management.azure.com/subscriptions/daefabc0-95b4-48b3-b645-8a753a63c4fa/resourceGroups/resourceGroup1/providers/Microsoft.DesktopVirtualization/scalingPlans/scalingPlan1/pooledSchedules/scalingPlanScheduleWeekdays1?api-version=2025-10-10

{
  "properties": {
    "daysOfWeek": [
      "Monday",
      "Tuesday",
      "Wednesday",
      "Thursday",
      "Friday"
    ],
    "rampUpStartTime": {
      "hour": 6,
      "minute": 0
    },
    "rampUpLoadBalancingAlgorithm": "DepthFirst",
    "rampUpMinimumHostsPct": 20,
    "rampUpCapacityThresholdPct": 80,
    "peakStartTime": {
      "hour": 8,
      "minute": 0
    },
    "peakLoadBalancingAlgorithm": "BreadthFirst",
    "rampDownStartTime": {
      "hour": 18,
      "minute": 0
    },
    "rampDownLoadBalancingAlgorithm": "DepthFirst",
    "rampDownMinimumHostsPct": 20,
    "rampDownCapacityThresholdPct": 50,
    "rampDownForceLogoffUsers": true,
    "rampDownWaitTimeMinutes": 30,
    "rampDownNotificationMessage": "message",
    "offPeakStartTime": {
      "hour": 20,
      "minute": 0
    },
    "offPeakLoadBalancingAlgorithm": "DepthFirst"
  }
}

Voorbeeldrespons

{
  "name": "scalingPlanScheduleWeekdays1",
  "id": "/subscriptions/daefabc0-95b4-48b3-b645-8a753a63c4fa/resourceGroups/resourceGroup1/providers/Microsoft.DesktopVirtualization/scalingPlans/scalingPlan1/pooledSchedules/scalingPlanScheduleWeekdays1",
  "type": "Microsoft.DesktopVirtualization/scalingPlans/pooledSchedules",
  "systemData": {
    "createdBy": "user1",
    "createdByType": "User",
    "createdAt": "2020-01-01T17:18:19.1234567Z",
    "lastModifiedBy": "user2",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2020-01-02T17:18:19.1234567Z"
  },
  "properties": {
    "daysOfWeek": [
      "Monday",
      "Tuesday",
      "Wednesday",
      "Thursday",
      "Friday"
    ],
    "rampUpStartTime": {
      "hour": 6,
      "minute": 0
    },
    "rampUpLoadBalancingAlgorithm": "DepthFirst",
    "rampUpMinimumHostsPct": 20,
    "rampUpCapacityThresholdPct": 80,
    "peakStartTime": {
      "hour": 8,
      "minute": 0
    },
    "peakLoadBalancingAlgorithm": "BreadthFirst",
    "rampDownStartTime": {
      "hour": 18,
      "minute": 0
    },
    "rampDownLoadBalancingAlgorithm": "DepthFirst",
    "rampDownMinimumHostsPct": 20,
    "rampDownCapacityThresholdPct": 50,
    "rampDownForceLogoffUsers": true,
    "rampDownWaitTimeMinutes": 30,
    "rampDownNotificationMessage": "message",
    "offPeakStartTime": {
      "hour": 20,
      "minute": 0
    },
    "offPeakLoadBalancingAlgorithm": "DepthFirst"
  }
}
{
  "name": "scalingPlanScheduleWeekdays1",
  "id": "/subscriptions/daefabc0-95b4-48b3-b645-8a753a63c4fa/resourceGroups/resourceGroup1/providers/Microsoft.DesktopVirtualization/scalingPlans/scalingPlan1/pooledSchedules/scalingPlanScheduleWeekdays1",
  "type": "Microsoft.DesktopVirtualization/scalingPlans/pooledSchedules",
  "systemData": {
    "createdBy": "user1",
    "createdByType": "User",
    "createdAt": "2020-01-01T17:18:19.1234567Z",
    "lastModifiedBy": "user2",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2020-01-02T17:18:19.1234567Z"
  },
  "properties": {
    "daysOfWeek": [
      "Monday",
      "Tuesday",
      "Wednesday",
      "Thursday",
      "Friday"
    ],
    "rampUpStartTime": {
      "hour": 6,
      "minute": 0
    },
    "rampUpLoadBalancingAlgorithm": "DepthFirst",
    "rampUpMinimumHostsPct": 20,
    "rampUpCapacityThresholdPct": 80,
    "peakStartTime": {
      "hour": 8,
      "minute": 0
    },
    "peakLoadBalancingAlgorithm": "BreadthFirst",
    "rampDownStartTime": {
      "hour": 18,
      "minute": 0
    },
    "rampDownLoadBalancingAlgorithm": "DepthFirst",
    "rampDownMinimumHostsPct": 20,
    "rampDownCapacityThresholdPct": 50,
    "rampDownForceLogoffUsers": true,
    "rampDownWaitTimeMinutes": 30,
    "rampDownNotificationMessage": "message",
    "offPeakStartTime": {
      "hour": 20,
      "minute": 0
    },
    "offPeakLoadBalancingAlgorithm": "DepthFirst"
  }
}

Definities

Name Description
CloudError

Cloud error object.

CloudErrorProperties

Eigenschappen van Cloud Error Object.

createdByType

Het type identiteit waarmee de resource is gemaakt.

DayOfWeek

Dag van de week.

ScalingPlanPooledSchedule

Vertegenwoordigt een definitie van ScalingPlanPooledSchedule.

SessionHostLoadBalancingAlgorithm

Taakverdelingsalgoritmen voor een oplaadperiode.

StopHostsWhen

Hiermee geeft u op wanneer hosts moeten worden gestopt tijdens uitloopperiode.

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

Time

De tijd die nodig is om een schaalactie uit te voeren.

CloudError

Cloud error object.

Name Type Description
error

CloudErrorProperties

Eigenschappen van Cloud Error Object.

CloudErrorProperties

Eigenschappen van Cloud Error Object.

Name Type Description
code

string

Foutcode

message

string

Foutbericht dat aangeeft waarom de bewerking is mislukt.

createdByType

Het type identiteit waarmee de resource is gemaakt.

Waarde Description
User
Application
ManagedIdentity
Key

DayOfWeek

Dag van de week.

Waarde Description
Monday
Tuesday
Wednesday
Thursday
Friday
Saturday
Sunday

ScalingPlanPooledSchedule

Vertegenwoordigt een definitie van ScalingPlanPooledSchedule.

Name Type Description
id

string (arm-id)

Volledig gekwalificeerde resource-id voor de resource. Bijvoorbeeld /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceType}/{resourceName}"

name

string

De naam van de resource

properties.daysOfWeek

DayOfWeek[]

Set dagen van de week waarop deze planning actief is.

properties.offPeakLoadBalancingAlgorithm

SessionHostLoadBalancingAlgorithm

Taakverdelingsalgoritmen voor daluren.

properties.offPeakStartTime

Time

Begintijd voor dalperiode.

properties.peakLoadBalancingAlgorithm

SessionHostLoadBalancingAlgorithm

Taakverdelingsalgoritmen voor piekperiode.

properties.peakStartTime

Time

Begintijd voor piekperiode.

properties.rampDownCapacityThresholdPct

integer (int32)

minimum: 1
maximum: 100

Capaciteitsdrempel voor uitloopperiode.

properties.rampDownForceLogoffUsers

boolean

Als gebruikers geforceerd worden afgemeld bij hosts.

properties.rampDownLoadBalancingAlgorithm

SessionHostLoadBalancingAlgorithm

Taakverdelingsalgoritmen voor uitloopperiode.

properties.rampDownMinimumHostsPct

integer (int32)

minimum: 0
maximum: 100

Minimaal hostpercentage voor uitloopperiode.

properties.rampDownNotificationMessage

string

Meldingsbericht voor gebruikers tijdens uitloopperiode.

properties.rampDownStartTime

Time

Begintijd voor uitloopperiode.

properties.rampDownStopHostsWhen

StopHostsWhen

Hiermee geeft u op wanneer hosts moeten worden gestopt tijdens uitloopperiode.

properties.rampDownWaitTimeMinutes

integer (int32)

Het aantal minuten dat moet worden gewacht om hosts te stoppen tijdens de uitloopperiode.

properties.rampUpCapacityThresholdPct

integer (int32)

minimum: 1
maximum: 100

Capaciteitsdrempel voor oprijperiode.

properties.rampUpLoadBalancingAlgorithm

SessionHostLoadBalancingAlgorithm

Taakverdelingsalgoritmen voor een oplaadperiode.

properties.rampUpMinimumHostsPct

integer (int32)

minimum: 0
maximum: 100

Minimaal hostpercentage voor opstartperiode.

properties.rampUpStartTime

Time

Begintijd voor opstartperiode.

systemData

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

type

string

Het type bron. Bijvoorbeeld 'Microsoft.Compute/virtualMachines' of 'Microsoft.Storage/storageAccounts'

SessionHostLoadBalancingAlgorithm

Taakverdelingsalgoritmen voor een oplaadperiode.

Waarde Description
BreadthFirst
DepthFirst

StopHostsWhen

Hiermee geeft u op wanneer hosts moeten worden gestopt tijdens uitloopperiode.

Waarde Description
ZeroSessions
ZeroActiveSessions

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

Name Type Description
createdAt

string (date-time)

De tijdstempel van het maken van resources (UTC).

createdBy

string

De identiteit waarmee de resource is gemaakt.

createdByType

createdByType

Het type identiteit waarmee de resource is gemaakt.

lastModifiedAt

string (date-time)

De tijdstempel van de laatste wijziging van de resource (UTC)

lastModifiedBy

string

De identiteit die de resource voor het laatst heeft gewijzigd.

lastModifiedByType

createdByType

Het type identiteit dat de resource voor het laatst heeft gewijzigd.

Time

De tijd die nodig is om een schaalactie uit te voeren.

Name Type Description
hour

integer (int32)

minimum: 0
maximum: 23

Het uur.

minute

integer (int32)

minimum: 0
maximum: 59

De minuut.